commit: 24c3ff8b1cce95cf693e07bf503bb3830aa9e81c
Author: Felix Janda <felix.janda <AT> posteo <DOT> de>
AuthorDate: Fri Nov 7 19:38:30 2014 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Tue Nov 18 21:58:59 2014 +0000
URL:
http://sources.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=24c3ff8b
sys-devel/gdb: bump to 7.7.1
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>
---
sys-devel/gdb/files/gdb-7.4-threaddb.patch | 38 ---------------
.../gdb/files/gdb-7.5.1-amd64-linux-nat.patch | 11 -----
sys-devel/gdb/files/gdb-7.6-pid_t.patch | 12 -----
.../{gdb-7.6.2-r99.ebuild => gdb-7.7.1-r99.ebuild} | 56 +++++++++++++---------
4 files changed, 33 insertions(+), 84 deletions(-)
diff --git a/sys-devel/gdb/files/gdb-7.4-threaddb.patch
b/sys-devel/gdb/files/gdb-7.4-threaddb.patch
deleted file mode 100644
index 0544010..0000000
--- a/sys-devel/gdb/files/gdb-7.4-threaddb.patch
+++ /dev/null
@@ -1,38 +0,0 @@
-taken from sabotage linux
-
---- gdb-7.4.org/gdb/common/gdb_thread_db.h
-+++ gdb-7.4/gdb/common/gdb_thread_db.h
-@@ -1,17 +1,5 @@
- #ifdef HAVE_THREAD_DB_H
- #include <thread_db.h>
--
--#ifndef LIBTHREAD_DB_SO
--#define LIBTHREAD_DB_SO "libthread_db.so.1"
--#endif
--
--#ifndef LIBTHREAD_DB_SEARCH_PATH
--/* $sdir appears before $pdir for some minimal security protection:
-- we trust the system libthread_db.so a bit more than some random
-- libthread_db associated with whatever libpthread the app is using. */
--#define LIBTHREAD_DB_SEARCH_PATH "$sdir:$pdir"
--#endif
--
- #else
-
- /* Copyright (C) 1999-2000, 2007-2012 Free Software Foundation, Inc.
-@@ -453,3 +441,15 @@
- #endif /* thread_db.h */
-
- #endif /* HAVE_THREAD_DB_H */
-+
-+#ifndef LIBTHREAD_DB_SO
-+#define LIBTHREAD_DB_SO "libthread_db.so.1"
-+#endif
-+
-+#ifndef LIBTHREAD_DB_SEARCH_PATH
-+/* $sdir appears before $pdir for some minimal security protection:
-+ we trust the system libthread_db.so a bit more than some random
-+ libthread_db associated with whatever libpthread the app is using. */
-+#define LIBTHREAD_DB_SEARCH_PATH "$sdir:$pdir"
-+#endif
-+
diff --git a/sys-devel/gdb/files/gdb-7.5.1-amd64-linux-nat.patch
b/sys-devel/gdb/files/gdb-7.5.1-amd64-linux-nat.patch
deleted file mode 100644
index 13459ad..0000000
--- a/sys-devel/gdb/files/gdb-7.5.1-amd64-linux-nat.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/gdb-7.5.1/gdb/amd64-linux-nat.c
-+++ b/gdb-7.5.1/gdb/amd64-linux-nat.c
-@@ -31,7 +31,7 @@
- #include "elf/common.h"
- #include <sys/uio.h>
- #include <sys/ptrace.h>
--#include <sys/debugreg.h>
-+#include <asm/debugreg.h>
- #include <sys/syscall.h>
- #include <sys/procfs.h>
- #include <sys/user.h>
diff --git a/sys-devel/gdb/files/gdb-7.6-pid_t.patch
b/sys-devel/gdb/files/gdb-7.6-pid_t.patch
deleted file mode 100644
index 45b5f43..0000000
--- a/sys-devel/gdb/files/gdb-7.6-pid_t.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-taken from sabotage linux
-
---- gdb-7.6.2.org/gdb/common/linux-ptrace.h
-+++ gdb-7.6.2/gdb/common/linux-ptrace.h
-@@ -67,6 +67,7 @@
- #define __WALL 0x40000000 /* Wait for any child. */
- #endif
-
-+#include <unistd.h> /* for pid_t */
- extern void linux_ptrace_attach_warnings (pid_t pid, struct buffer *buffer);
- extern void linux_ptrace_init_warnings (void);
-
diff --git a/sys-devel/gdb/gdb-7.6.2-r99.ebuild
b/sys-devel/gdb/gdb-7.7.1-r99.ebuild
similarity index 78%
rename from sys-devel/gdb/gdb-7.6.2-r99.ebuild
rename to sys-devel/gdb/gdb-7.7.1-r99.ebuild
index bdea80f..b588707 100644
--- a/sys-devel/gdb/gdb-7.6.2-r99.ebuild
+++ b/sys-devel/gdb/gdb-7.7.1-r99.ebuild
@@ -1,10 +1,11 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-7.6.2.ebuild,v 1.8
2014/03/05 15:53:52 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gdb/gdb-7.7.1.ebuild,v 1.10
2014/11/04 20:15:26 maekke Exp $
-EAPI="3"
+EAPI="4"
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
-inherit flag-o-matic eutils
+inherit flag-o-matic eutils python-single-r1
export CTARGET=${CTARGET:-${CHOST}}
if [[ ${CTARGET} == ${CHOST} ]] ; then
@@ -50,15 +51,17 @@ SRC_URI="${SRC_URI}
${PATCH_VER:+mirror://gentoo/${P}-patches-${PATCH_VER}.tar.x
LICENSE="GPL-2 LGPL-2"
SLOT="0"
if [[ ${PV} != 9999* ]] ; then
- KEYWORDS="amd64 arm ~mips ppc x86"
+ KEYWORDS="amd64 arm ~mips ppc x86"
fi
-IUSE="+client expat multitarget nls +python +server test vanilla zlib"
+IUSE="+client expat lzma multitarget nls +python +server test vanilla zlib"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
RDEPEND="!dev-util/gdbserver
>=sys-libs/ncurses-5.2-r2
sys-libs/readline
expat? ( dev-libs/expat )
- python? ( =dev-lang/python-2* )
+ lzma? ( app-arch/xz-utils )
+ python? ( ${PYTHON_DEPS} )
zlib? ( sys-libs/zlib )"
DEPEND="${RDEPEND}
app-arch/xz-utils
@@ -68,15 +71,17 @@ DEPEND="${RDEPEND}
S=${WORKDIR}/${PN}-${MY_PV}
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
src_prepare() {
- epatch ${FILESDIR}/${PN}-7.4-linux-nat.patch
- epatch ${FILESDIR}/${PN}-7.4-threaddb.patch
- epatch ${FILESDIR}/${PN}-7.5.1-amd64-linux-nat.patch
- epatch ${FILESDIR}/${PN}-7.6-linux-low-threaddb.patch
- epatch ${FILESDIR}/${PN}-7.6-pid_t.patch
+ epatch ${FILESDIR}/${PN}-7.4-linux-nat.patch
+ epatch ${FILESDIR}/${PN}-7.5.1-amd64-linux-nat.patch
[[ -n ${RPM} ]] && rpm_spec_epatch "${WORKDIR}"/gdb.spec
use vanilla || [[ -n ${PATCH_VER} ]] && EPATCH_SUFFIX="patch" epatch
"${WORKDIR}"/patch
+ epatch_user
strip-linguas -u bfd/po opcodes/po
if [[ ${CHOST} == *-darwin* ]] ; then
# make sure we have a python-config that matches our install,
@@ -85,8 +90,7 @@ src_prepare() {
# version is
rm -f "${S}"/gdb/python/python-config.py || die
pushd "${S}"/gdb/python > /dev/null || die
- ln -s "${EROOT}"/usr/bin/$(eselect python show
--python2)-config \
- python-config.py || die
+ ln -s "${T}"/${EPYTHON}/bin/python-config python-config.py ||
die
popd > /dev/null || die
fi
}
@@ -103,14 +107,17 @@ gdb_branding() {
src_configure() {
strip-unsupported-flags
- local sysroot="${EPREFIX}"/usr/${CTARGET}
local myconf=(
--with-pkgversion="$(gdb_branding)"
--with-bugurl='http://bugs.gentoo.org/'
--disable-werror
- $(is_cross && echo \
- --with-sysroot="${sysroot}" \
- --includedir="${sysroot}/usr/include")
+ # Disable modules that are in a combined binutils/gdb tree.
#490566
+ --disable-{binutils,etc,gas,gold,gprof,ld}
+ )
+ local sysroot="${EPREFIX}/usr/${CTARGET}"
+ is_cross && myconf+=(
+ --with-sysroot="${sysroot}"
+ --includedir="${sysroot}/usr/include"
)
if use server && ! use client ; then
@@ -134,12 +141,16 @@ src_configure() {
--enable-64-bit-bfd
--disable-install-libbfd
--disable-install-libiberty
+ # This only disables building in the readline subdir.
+ # For gdb itself, it'll use the system version.
+ --disable-readline
--with-system-readline
--with-separate-debug-dir="${EPREFIX}"/usr/lib/debug
$(use_with expat)
+ $(use_with lzma)
$(use_enable nls)
$(use multitarget && echo --enable-targets=all)
- $(use_with python python "${EPREFIX}/usr/bin/python2")
+ $(use_with python python "${EPYTHON}")
$(use_with zlib)
)
fi
@@ -148,13 +159,13 @@ src_configure() {
}
src_test() {
- emake check || ewarn "tests failed"
+ nonfatal emake check || ewarn "tests failed"
}
src_install() {
use server && ! use client && cd gdb/gdbserver
- emake DESTDIR="${D}" install || die
- use client && { find "${ED}"/usr -name libiberty.a -delete || die ; }
+ default
+ use client && find "${ED}"/usr -name libiberty.a -delete
cd "${S}"
# Don't install docs when building a cross-gdb
@@ -166,9 +177,8 @@ src_install() {
# http://sourceware.org/ml/gdb-patches/2011-12/msg00915.html
# Only install if it exists due to the twisted behavior (see
# notes in src_configure above).
- [[ -e gdb/gdbserver/gdbreplay ]] && { dobin gdb/gdbserver/gdbreplay ||
die ; }
+ [[ -e gdb/gdbserver/gdbreplay ]] && dobin gdb/gdbserver/gdbreplay
- dodoc README
if use client ; then
docinto gdb
dodoc gdb/CONTRIBUTE gdb/README gdb/MAINTAINERS \